set more off
use "./data/Pointbypointforcorrelation.dta", clear
keep if totalserves1>=10 & 	serve==1
sort idpointgame idinpointgame
cap drop idinpointgame
by idpointgame: gen idinpointgame=_n
sort idpointgame idinpointgame 
xtset idpointgame idinpointgame
gen indmale=1 if gender=="male"
replace indmale=0 if gender=="female"

*Table 4
xtlogit rightserve l.rightserve##indmale , fe

*Table 5
xtlogit rightserve l.rightserve##c.rankservermagnus l.rightserve##c.rankreceivermagnus if indmale==1,fe
xtlogit rightserve l.rightserve##c.rankservermagnus l.rightserve##c.rankreceivermagnus if indmale==0,fe
